获取 meetingAttendanceReport

命名空间:microsoft.graph

获取 onlineMeetingmeetingAttendanceReport。 每次联机会议结束时,将为该会话生成出勤报告。

警告

此方法不支持频道会议。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) OnlineMeetingArtifact.Read.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 OnlineMeetingArtifact.Read.All

要对此 API 使用应用程序权限,租户管理员必须创建应用程序访问策略并将其授予用户。 这会授权策略中配置的应用,代表该用户使用请求路径 () 中指定的用户 ID 提取联机会议和/或联机会议项目。 有关详细信息,请参阅 允许应用程序代表用户访问联机会议

HTTP 请求

若要按 ID 获取具有委派 () /me 和应用 () /users/{userId} 权限的出勤报告:

GET /me/onlineMeetings/{meetingId}/attendanceReports/{reportId}
GET /users/{userId}/onlineMeetings/{meetingId}/attendanceReports/{reportId}

提示

可选的查询参数

此方法支持使用 OData 查询参数来帮助自定义响应。

提示

attendanceRecords 属性是默认情况下未返回的导航属性。 若要按行检索 attendanceRecords ,请使用 $expand=attendanceRecords中所示的查询选项。

请求头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应正文中返回 200 OK 响应代码和 meetingAttendanceReport 对象。

示例

以下示例演示如何获取具有委派权限的联机会议的出席情况报告。

请求

GET https://graph.microsoft.com/v1.0/me/onlineMeetings/MSpkYzE3Njc0Yy04MWQ5LTRhZGItYmZ/attendanceReports/c9b6db1c-d5eb-427d-a5c0-20088d9b22d7?$expand=attendanceRecords

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.context": "https://graph.microsoft.com/v1.0/$metadata#users('16664f75-11dc-4870-bec6-38c1aaa81431')/onlineMeetings('MSpkYzE3Njc0Yy04MWQ5LTRhZGItYmZ')/attendanceReports('c9b6db1c-d5eb-427d-a5c0-20088d9b22d7')",
  "id": "c9b6db1c-d5eb-427d-a5c0-20088d9b22d7",
  "totalParticipantCount": 1,
  "meetingStartDateTime": "2021-10-05T04:38:23.945Z",
  "meetingEndDateTime": "2021-10-05T04:43:49.77Z",
  "attendanceRecords": [
    {
      "emailAddress": "frederick.cormier@contoso.com",
      "totalAttendanceInSeconds": 1152,
      "role": "Presenter",
      "identity": {
        "id": "dc17674c-81d9-4adb-bfb2-8f6a442e4623",
        "displayName": "Frederick Cormier",
        "tenantId": null
      },
      "attendanceIntervals": [
        {
          "joinDateTime": "2021-03-16T18:59:52.2782182Z",
          "leaveDateTime": "2021-03-16T19:06:47.7218491Z",
          "durationInSeconds": 415
        },
        {
          "joinDateTime": "2021-03-16T19:09:23.9834702Z",
          "leaveDateTime": "2021-03-16T19:16:31.1381195Z",
          "durationInSeconds": 427
        },
        {
          "joinDateTime": "2021-03-16T19:20:27.7094382Z",
          "leaveDateTime": "2021-03-16T19:25:37.7121956Z",
          "durationInSeconds": 310
        }
      ]
    }
  ]
}